Page MenuHomePhabricator

Public | Improve feedback while Replicator job running
Closed, ResolvedPublic

Description

Al wrote:

One thing that is bothering me is when you changed the view of what was going on to not include the individual file displays. Now, if there is a large directory that is being worked on, it can appear that the program is stopped or stuck. Is there any way that you could include some sort of indicator that the program is still running?

The display should update once per second. You're right, it does seem from moment to moment that perhaps nothing is going on.

It does need to be better -- one guy opened a ticket because he thought the new Replicator was skipping files.

Event Timeline

Joe created this task.Feb 22 2019, 10:08 AM
Joe created this object in space S5 Public.
Joe triaged this task as Normal priority.
Joe created this object with visibility "Public (No Login Required)".
Joe raised the priority of this task from Normal to Unbreak Now!.Feb 12 2020, 8:24 AM

Received support request about newer Replicator running slower than old Replicator and it was the 1-update-per-second thing. Every 1 second the utility needs to boast about how quickly it is scanning files, or at least a Files Scanned counter.

Joe claimed this task.Apr 10 2020, 4:48 PM
Joe closed this task as Resolved.Apr 23 2020, 10:31 AM

I decided to permanently change this (almost) back to the way it used to be, before the 1 second timer was added. Removed updates for "Comparing FILE_1 to FILE_2" -- and now it's good.